# Audio device recording

A decision block that checks if an audio device is recording.

If the proceed option is set to Immediately, then check if a device is currently recording without pausing the fiber. If set to When changed, then the fiber will pause until a device has started or stopped recording.

Note! This feature requires Android 7+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Device type — type of audio device, default is any.
- Device brand — brand/product name of device, default is any, may contain glob pattern.
- Audio source — audio source being recorded, default is any.

## Output variables

- Recording device type — variable to assign the type of recording device.
- Recording device brand — variable to assign the brand/product name of the recording device.
- Recorded audio stream — variable to assign the audio stream being recorded by the device.